%define	module	Gimp
%define pre pre1
Summary:	Perl module enabling to write plugins for the Gimp2
Name:		perl-%module
Epoch:		1
Version:	2.2
Release:	%mkrel 0.%pre.4
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source0:	http://search.cpan.org/CPAN/authors/id/S/SJ/SJBURGES/%module-%{version}%pre.tar.bz2
Patch0:		Gimp-2.0pre1-fix-build.patch
Patch1:		Gimp-2.2-fix-str-fmt.patch
URL:		http://search.cpan.org/~sjburges/Gimp/Gimp.pm
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel perl-devel libgimp-devel > 2.0
BuildRequires:	perl-Gtk2 perl-PDL perl-Parse-RecDescent perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:  glitz-devel
Requires:	perl-PDL
Requires:	gtk+2 libgtk+2, perl-Glib >= 1.021
Provides:	gimp-perl = %epoch:%version
Obsoletes:	gimp-perl < %epoch:2.0

# Don't use automatic requires for perl-PDL (#22095):
%define _requires_exceptions perl(PDL

%description
This module provides perl access to the Gimp2 libraries.

%prep
%setup -q -n gimp-perl
%patch0 -p0
%patch1 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
make DESTDIR=%buildroot pure_vendor_install
install -m 755 examples/* $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
perl -pi -e "s^/opt/bin/perl^%_bindir/perl^" $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/*

# fix conflict with gimp-1:
rm -f $RPM_BUILD_ROOT%_mandir/man1/embedxpm.*
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/redeye
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/README
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/examples.TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* examples/examples.TODO examples/README
%_bindir/*
%_mandir/*/*
%_libdir/gimp/2.0/plug-ins/*
%_prefix/lib/perl5/*
#%{perl_vendorlib}/%module
#%{perl_vendorlib}/%module.pm
#%{perl_vendorlib}/auto/*



%changelog
* Sat Apr 11 2009 Funda Wang <fundawang@mandriva.org> 1:2.2-0.pre1.4mdv2009.1
+ Revision: 366032
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1:2.2-0.pre1.3mdv2008.1
+ Revision: 151376
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 2.2-0.pre1.2mdv2007.0
- fix buildrequires

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 2.2-0.pre1.1mdv2007.0
- fix conflict with gimp
- fix build
- new version

* Mon Apr 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-9mdk
- add bug reference

* Mon Apr 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:2.0-8mdk
- Don't use automatic requires for perl-PDL (#22095)

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-7mdk
- revert previous buildrequires

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-6mdk
- Fix Buildrequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-5mdk
- Fix BuildRequires

* Wed Aug 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:2.0-4mdk
- Rebuild, fix installation process

* Mon Apr 18 2005 Giuseppe Ghib <ghibo@mandriva.com> 1:2.0-3mdk
- Fixed X86-64 building.

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0-2mdk
- rebuild for new perl

* Mon May 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-1mdk
- new release

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_4mdk
- even more buildrequires *grf*

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_3mdk
- whoppsy, yet another buildrequires caught!
- get rid of cvs files

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_2mdk
- fix buildrequires
- spec cosmetics

* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre2_1mdk
- initial release

